Download it now!
Bug 100871 - Bullets and numberings not expose to Assistives Technologies
Summary: Bullets and numberings not expose to Assistives Technologies
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
: 104010 (view as bug list)
Depends on:
Blocks: a11y
  Show dependency treegraph
 
Reported: 2016-07-12 14:51 UTC by Alex ARNAUD
Modified: 2019-12-26 17:29 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot from accerciser (6.91 KB, image/png)
2016-09-13 04:30 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex ARNAUD 2016-07-12 14:51:18 UTC
Dear LibreOffice community,

on latest LibreOffice Impress (5.1.4) inside slides on a "presentation plan" or "subtitle presentation" sections and I think in all the sections types the bullets and numberings are not exposed via AT-SPI2 so a blind person cannot know when he are in a list or not.

The expected result is the same as we have in LibreOffice Writer on "bullets and numberings". On Writer, we have the announcement of the bullet type or the number before the content.

Best regards.
Comment 1 Buovjaga 2016-07-26 16:48:25 UTC
Confirmed. Orca only announces bullets as paragraphs.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: c1b665fcdacd4141137f1e369527e2c0d94513ae
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on July 26th 2016
Comment 2 Yousuf Philips (jay) (retired) 2016-09-13 04:30:51 UTC
Created attachment 127290 [details]
screenshot from accerciser

Accerciser shows bullet points as paragraphs in the presentation outliner.
Comment 3 Yousuf Philips (jay) (retired) 2016-09-13 04:33:19 UTC
Same thing happen on windows on NVDA and JAWS with 5.3 master.
Comment 4 Yousuf Philips (jay) (retired) 2016-11-22 14:32:30 UTC
*** Bug 104010 has been marked as a duplicate of this bug. ***
Comment 5 QA Administrators 2018-10-02 02:54:09 UTC Comment hidden (obsolete)
Comment 6 Frans-Willem Post 2018-11-28 15:08:43 UTC
I confirm that both a bulleted or numbered list in Impress are not read as such by Orca under Ubuntu 18.10. Instead, the item's text is read twice.

Version: 6.1.2.1
Build ID: 1:6.1.2-0ubuntu1.1
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: gtk3; 
Locale: nl-NL (en_US.UTF-8); Calc: group threaded
Comment 7 QA Administrators 2019-11-29 03:44:44 UTC
Dear Alex ARNAUD,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug